<%@ taglib prefix="tiles"  uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<%@ taglib uri="https://ajax4jsf.dev.java.net/ajax" prefix="a4j"%>
<%@ taglib uri="http://www.recommind.com/faces" prefix="rm"%>


<f:view>
<a4j:loadBundle basename="messages" var="msgs"/>
<rm:loadBundle basename="#{applicationScope['taxonomyProperties']}" var="tmsgs"/>

<t:document>
<t:documentHead>

...

<tiles:insertAttribute name="headDefinitions" flush="false" ignore="false"/>

</t:documentHead>
<t:documentBody>

<a4j:log/>


<tiles:insertDefinition name=".progressBar" flush="false" ignore="false"/>

<tiles:insertAttribute name="header" flush="false" ignore="false"/>

<%-- NAVIGATION INCLUDE --%>
<tiles:insertAttribute name="navigation" flush="false" ignore="false">
  <tiles:putAttribute name="activeTab" value="activeTab"/><%-- for tab switching --%>
</tiles:insertAttribute>

<%-- Content INCLUDE --%>
<t:div id="content" forceId="true">
	<tiles:insertAttribute name="content" flush="false" ignore="false"/>
</t:div>
<%--MessageBox INCLUDE --%>
<tiles:insertDefinition name=".messageBox" flush="false" ignore="false"/>

<%--ScreenLocked INCLUDE --%>
<tiles:insertDefinition name=".screenLocked" flush="false" ignore="false"/>

<h:form id="mainform">
...
</h:form>

</t:documentBody>
</t:document>
</f:view>